﻿/**Begin D:\work_word\PDM\PDM_UPGRADE\pdm1\GAI_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GAI_ASSISTANT_CONFIG') 
 CREATE TABLE T_GAI_ASSISTANT_CONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FPICTURE VARCHAR(255) DEFAULT ' ',
FNAME VARCHAR(20) DEFAULT ' ',
FINTRODUCE VARCHAR(50) DEFAULT ' ',
FPROMPT BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GAI_CHAT_INFO') 
 CREATE TABLE T_GAI_CHAT_INFO (
FID BIGINT DEFAULT 0 NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FASSISTANTID BIGINT DEFAULT 0 NOT NULL,
FCHATSESSIONID VARCHAR(150) DEFAULT ' ',
FSESSIONID VARCHAR(150) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GAI_CHAT_ITEM') 
 CREATE TABLE T_GAI_CHAT_ITEM (
FID BIGINT DEFAULT 0 NOT NULL,
FCHATINFOID BIGINT DEFAULT 0 NOT NULL,
FTYPE BIGINT DEFAULT 0 NOT NULL,
FCONTENT VARCHAR(255) DEFAULT ' ',
FCONTENT_TAG NCLOB,
FTIME BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GAI_OPERATION') 
 CREATE TABLE T_GAI_OPERATION (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ',
FNAME NVARCHAR(50) DEFAULT ' ',
FSTATUS VARCHAR(50) DEFAULT ' ',
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ',
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSERVICENAME VARCHAR(200) DEFAULT ' ',
FACTION VARCHAR(50) DEFAULT ' ',
FAPP VARCHAR(36) DEFAULT ' ',
FOPERATIONTYPE VARCHAR(50) DEFAULT ' ',
FISPRESET VARCHAR(1) DEFAULT ' ',
FPRESETNUMBER VARCHAR(50) DEFAULT ' ',
FAPPID VARCHAR(50) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GAI_OPERATION_INPUT') 
 CREATE TABLE T_GAI_OPERATION_INPUT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FINPUTNAME VARCHAR(20) DEFAULT ' ',
FINPUTTYPE VARCHAR(50) DEFAULT ' ',
FINPUTDESC NVARCHAR(200) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GAI_OPERATION_L') 
 CREATE TABLE T_GAI_OPERATION_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ',
FNAME NVARCHAR(50) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GAI_OPERATION_OUTPUT') 
 CREATE TABLE T_GAI_OPERATION_OUTPUT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FOUTPUTNAME VARCHAR(20) DEFAULT ' ',
FOUTPUTTYPE VARCHAR(50) DEFAULT ' ',
FOUTPUTDESC NVARCHAR(200) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GAI_PROMPT_REPO_CONFIG') 
 CREATE TABLE T_GAI_PROMPT_REPO_CONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ',
FSTRINGNUMBER BIGINT DEFAULT 0 NOT NULL,
FREPOID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GAI_PRESET_VAR_R3') 
 CREATE TABLE T_GAI_PRESET_VAR_R3 (
FID BIGINT DEFAULT 0 NOT NULL,
FREFSTATUS VARCHAR(1) DEFAULT '0'
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GAI_PROCESS') 
 CREATE TABLE T_GAI_PROCESS (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ',
FNAME NVARCHAR(50) DEFAULT ' ',
FSTATUS VARCHAR(50) DEFAULT ' ',
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50),
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORG BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(50) DEFAULT ' ',
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FDESC NVARCHAR(50) DEFAULT ' ',
FSERVICEDESC NVARCHAR(50) DEFAULT ' ',
FFLOW NCLOB,
FPUBLISH VARCHAR(1) DEFAULT '0'
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GAI_PROCESS_APP') 
 CREATE TABLE T_GAI_PROCESS_APP (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID VARCHAR(36) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GAI_PROCESS_L') 
 CREATE TABLE T_GAI_PROCESS_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ',
FNAME NVARCHAR(50) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GAI_PROCESS_R3') 
 CREATE TABLE T_GAI_PROCESS_R3 (
FID BIGINT DEFAULT 0 NOT NULL,
FREFSTATUS VARCHAR(1) DEFAULT '0'
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GAI_REPO_DOC_MANAGE') 
 CREATE TABLE T_GAI_REPO_DOC_MANAGE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFILENAME NVARCHAR(500) DEFAULT ' ',
FFILESTATUS VARCHAR(50) DEFAULT ' ',
FHITNUM BIGINT DEFAULT 0 NOT NULL,
FFILEPATH VARCHAR(500) DEFAULT ' ',
FFILESIZE BIGINT DEFAULT 0 NOT NULL,
FFILETYPE VARCHAR(10) DEFAULT ' ',
FCREATEDATE DATETIME,
FSTRINGNUM BIGINT DEFAULT 0 NOT NULL,
FURL VARCHAR(500) DEFAULT ' ',
FFILESOURCE VARCHAR(50) DEFAULT ' ',
FTITLE VARCHAR(500) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GAI_REPO_INFO') 
 CREATE TABLE T_GAI_REPO_INFO (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ',
FNAME NVARCHAR(50) DEFAULT ' ',
FSTATUS VARCHAR(50) DEFAULT ' ',
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ',
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDESC NVARCHAR(50) DEFAULT ' ',
FUSEORG BIGINT DEFAULT 0 NOT NULL,
FINDEXMETHOD VARCHAR(50) DEFAULT ' ',
FSTRINGTOTALNUM BIGINT DEFAULT 0 NOT NULL,
FFILETOTAL BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GAI_REPO_INFO_L') 
 CREATE TABLE T_GAI_REPO_INFO_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ',
FNAME NVARCHAR(50) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GAI_REPO_INFO_R3') 
 CREATE TABLE T_GAI_REPO_INFO_R3 (
FID BIGINT DEFAULT 0 NOT NULL,
FREFSTATUS VARCHAR(1) DEFAULT '0'
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GAI_TEXT_CHUNK') 
 CREATE TABLE T_GAI_TEXT_CHUNK (
FID BIGINT DEFAULT 0 NOT NULL,
FPAGEID BIGINT DEFAULT 0 NOT NULL,
FORDER BIGINT DEFAULT 0 NOT NULL,
FFILEID BIGINT DEFAULT 0 NOT NULL,
FCONTENT VARCHAR(255) DEFAULT ' ',
FCONTENT_TAG NCLOB DEFAULT ' ',
FSTATUS VARCHAR(50) DEFAULT ' ',
FSTRIGTOTAL BIGINT DEFAULT 0 NOT NULL,
FREPOID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GAI_TEXT_CHUNK_R3') 
 CREATE TABLE T_GAI_TEXT_CHUNK_R3 (
FID BIGINT DEFAULT 0 NOT NULL,
FREFSTATUS CHAR(1) DEFAULT '0'
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GAI_OPERATION_R3') 
 CREATE TABLE T_GAI_OPERATION_R3 (
FID BIGINT DEFAULT 0 NOT NULL,
FREFSTATUS VARCHAR(1) DEFAULT '0'
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GAI_VAR_CONFIGS_PRESET') 
 CREATE TABLE T_GAI_VAR_CONFIGS_PRESET (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FVAR BIGINT DEFAULT 0 NOT NULL,
FVARNAME NVARCHAR(20) DEFAULT ' ',
FVARTYPE NVARCHAR(50) DEFAULT ' '
);



/**End D:\work_word\PDM\PDM_UPGRADE\pdm1\GAI_table.sql **/
/**Begin D:\work_word\PDM\PDM_UPGRADE\pdm1\GAI_constraint.sql **/


 EXEC P_ALTERPK 'PK_T_GAI_ASSISTANT_CONFIG', 'T_GAI_ASSISTANT_CONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GAI_ASSISTANT_CONFIG') CREATE INDEX IDX_GAI_ASSISTANT_CONFIG ON T_GAI_ASSISTANT_CONFIG ( FNAME );


 EXEC P_ALTERPK 'PK_T_GAI_CHAT_INFO', 'T_GAI_CHAT_INFO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_GAI_CHAT_INFO') CREATE INDEX IDX_T_GAI_CHAT_INFO ON T_GAI_CHAT_INFO ( FUSERID ,FASSISTANTID );


 EXEC P_ALTERPK 'PK_T_GAI_CHAT_ITEM', 'T_GAI_CHAT_ITEM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_GAI_CHAT_ITEM') CREATE INDEX IDX_T_GAI_CHAT_ITEM ON T_GAI_CHAT_ITEM ( FCHATINFOID ,FTIME );


 EXEC P_ALTERPK 'PK_T_GAI_OPERATION', 'T_GAI_OPERATION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_GAI_OPERATION') CREATE INDEX IDX_T_GAI_OPERATION ON T_GAI_OPERATION ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_GAI_OPERATION_INPUT', 'T_GAI_OPERATION_INPUT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_GAI_OPERATION_INPUT') CREATE INDEX IDX_T_GAI_OPERATION_INPUT ON T_GAI_OPERATION_INPUT ( FID );


 EXEC P_ALTERPK 'PK_T_GAI_OPERATION_L', 'T_GAI_OPERATION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_GAI_OPERATION_L') CREATE INDEX IDX_T_GAI_OPERATION_L ON T_GAI_OPERATION_L ( FID );


 EXEC P_ALTERPK 'PK_T_GAI_OPERATION_OUTPUT', 'T_GAI_OPERATION_OUTPUT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_GAI_OPERATION_OUTPUT') CREATE INDEX IDX_T_GAI_OPERATION_OUTPUT ON T_GAI_OPERATION_OUTPUT ( FID );


 EXEC P_ALTERPK 'PK_T_GAI_PROMPT_REPO_CONFIG', 'T_GAI_PROMPT_REPO_CONFIG', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_GAI_POMPT_REPO_CONFIG') CREATE INDEX IDX_T_GAI_POMPT_REPO_CONFIG ON T_GAI_PROMPT_REPO_CONFIG ( FID );


 EXEC P_ALTERPK 'PK_T_GAI_PRESET_VAR_R3', 'T_GAI_PRESET_VAR_R3', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_GAI_PRESET_VAR_R3') CREATE INDEX IDX_T_GAI_PRESET_VAR_R3 ON T_GAI_PRESET_VAR_R3 ( FREFSTATUS );


 EXEC P_ALTERPK 'PK_T_GAI_PROCESS', 'T_GAI_PROCESS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_GAI_PROCESS') CREATE INDEX IDX_T_GAI_PROCESS ON T_GAI_PROCESS ( FPUBLISH ,FNUMBER );


 EXEC P_ALTERPK 'PK_T_GAI_PROCESS_APP', 'T_GAI_PROCESS_APP', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_GAI_PROCESS_APP') CREATE INDEX IDX_T_GAI_PROCESS_APP ON T_GAI_PROCESS_APP ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_T_GAI_PROCESS_L', 'T_GAI_PROCESS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_GAI_PROCESS_L') CREATE INDEX IDX_T_GAI_PROCESS_L ON T_GAI_PROCESS_L ( FID );


 EXEC P_ALTERPK 'PK_T_GAI_PROCESS_R3', 'T_GAI_PROCESS_R3', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_GAI_PROCESS_R3') CREATE INDEX IDX_T_GAI_PROCESS_R3 ON T_GAI_PROCESS_R3 ( FREFSTATUS );


 EXEC P_ALTERPK 'PK_T_GAI_REPO_DOC_MANAGE', 'T_GAI_REPO_DOC_MANAGE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_GAI_REPO_DOC_MANAGE') CREATE INDEX IDX_T_GAI_REPO_DOC_MANAGE ON T_GAI_REPO_DOC_MANAGE ( FID ,FFILESTATUS );


 EXEC P_ALTERPK 'PK_T_GAI_REPO_INFO', 'T_GAI_REPO_INFO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_GAI_REPO_INFO') CREATE INDEX IDX_T_GAI_REPO_INFO ON T_GAI_REPO_INFO ( FNUMBER ,FNAME );


 EXEC P_ALTERPK 'PK_T_GAI_REPO_INFO_L', 'T_GAI_REPO_INFO_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_GAI_REPO_INFO_L') CREATE INDEX IDX_T_GAI_REPO_INFO_L ON T_GAI_REPO_INFO_L ( FID );


 EXEC P_ALTERPK 'PK_T_GAI_REPO_INFO_R3', 'T_GAI_REPO_INFO_R3', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_GAI_REPO_INFO_R3') CREATE INDEX IDX_T_GAI_REPO_INFO_R3 ON T_GAI_REPO_INFO_R3 ( FREFSTATUS );


 EXEC P_ALTERPK 'PK_T_GAI_TEXT_CHUNK', 'T_GAI_TEXT_CHUNK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_GAI_TEXT_CHUNK') CREATE INDEX IDX_T_GAI_TEXT_CHUNK ON T_GAI_TEXT_CHUNK ( FREPOID ,FFILEID );


 EXEC P_ALTERPK 'PK_T_GAI_TEXT_CHUNK_R3', 'T_GAI_TEXT_CHUNK_R3', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_GAI_TEXT_CHUNK_R3') CREATE INDEX IDX_T_GAI_TEXT_CHUNK_R3 ON T_GAI_TEXT_CHUNK_R3 ( FREFSTATUS );


 EXEC P_ALTERPK 'PK_T_GAI_OPERATION_R3', 'T_GAI_OPERATION_R3', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_GAI_OPERATION_R3') CREATE INDEX IDX_T_GAI_OPERATION_R3 ON T_GAI_OPERATION_R3 ( FREFSTATUS );


 EXEC P_ALTERPK 'PK_T_GAI_VAR_CONFIGS_PRESET', 'T_GAI_VAR_CONFIGS_PRESET', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_GAI_VAR_CONFIGS_PRESET') CREATE INDEX IDX_T_GAI_VAR_CONFIGS_PRESET ON T_GAI_VAR_CONFIGS_PRESET ( FID );



/**End D:\work_word\PDM\PDM_UPGRADE\pdm1\GAI_constraint.sql **/

